<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>Counter-Strike Social</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.2/animate.min.css">
    <link href="/styles.css" rel="stylesheet">
</head>
<body>
<div style="height: 100vh">
    <div style="height: 7vh">
        <nav class="navbar navbar-expand-sm sticky-top" style="background:rgba(0,0,0,0.3)">
            <div class="container-fluid">
                <a sec:authorize="isAuthenticated()" class="btn btn-primary btn-md"
                   th:href="@{/feed}">Home</a>
                <div class="container-fluid">
                    <div class="collapse navbar-collapse" id="navbarResponsive">
                        <ul class="navbar-nav ml-auto">
                            <li class="nav-item">
                                <a sec:authorize="!isAuthenticated()" th:href="@{register}"
                                   class="btn btn-primary btn-md">Registration</a>
                                <a sec:authorize="isAuthenticated()" th:href="@{/logout}"
                                   class="btn btn-primary btn-md">Logout</a>
                            </li>
                            <li class="nav-item">
                                <a sec:authorize="!isAuthenticated()" th:href="@{/login}"
                                   class="btn btn-primary btn-md">Log in</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </nav>
    </div>
    <div style="height: 30vh">
        <div class="container-fluid">
            <div class="col-xs-1 col-sm-3 col-md-6 col-lg-8 col-xl-10">
                <h1 id="indexName" class="animated fadeIn delay-0.4s"><img src="/img/home-page-title.png" alt=""></h1>
            </div>
        </div>
    </div>

    <div style="height: 45vh;">
        <div class="container-fluid">
            <div class="row">
                <div class="col-xl-1 col-lg-0"></div>
                <div class="col-xs-2 col-sm-10 col-md-8 col-lg-5 col-xl-4 animated fadeIn delay-0.8s">
                    <nav class="navbar" style="background:rgba(0,0,0,0.3); border-radius: 10px">
                        <form class="form-inline">
                            <div>
                                <input id="input" class="form-control" type="search" placeholder="Search"
                                       aria-label="Search" style="width: 100%">
                            </div>
                        </form>
                    </nav>

                    <div id="users-div" class="" style="height: 280px; overflow-y: scroll;border-radius:10px; ">
                        <!--                        <div th:each="user:${users}">-->
                        <!--                            <div class="row containerPosts">-->
                        <!--                                <div class="col-3">-->
                        <!--                                    <img style="height: 60px; width: 70px;"-->
                        <!--                                         th:src="${user.picture.printData()}"-->
                        <!--                                         alt="Avatar">-->
                        <!--                                </div>-->
                        <!--                                <div class="col-6">-->
                        <!--                                    <p th:text="${user.username}"></p>-->
                        <!--                                </div>-->
                        <!--                                <div class="col-2">-->
                        <!--                                    <a th:href="@{/user/{userId}/(userId=${user.username})}"-->
                        <!--                                       class="btn btn-outline-secondary btn-md">Profile</a>-->
                        <!--                                </div>-->
                        <!--                            </div>-->
                        <!--                        </div>-->
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
<script
        src="https://code.jquery.com/jquery-3.4.1.js"
        integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU="
        crossorigin="anonymous"></script>
<!--<script src="/main.js"></script>-->
<script src="/JavaScript/userJS/dynamic-search-index.js"></script>
<script src="/JavaScript/userJS/index-get-users.js"></script>
</body>
</html>